v.in.wfs(1)

NAME
v.in.wfs.py - Imports GetFeature from a WFS server.

KEYWORDS
vector, import, OGC web services, OGC WFS

SYNOPSIS
v.in.wfs.py
v.in.wfs.py --help
v.in.wfs.py [-lr] url=string output=name [name=string[,string,...]] [srs=string] [maximum_features=integer] [start_index=integer] [username=string] [password=string] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-l
    Download server capabilities to ’wms_capabilities.xml’ in the current directory and exit

-r
    Restrict fetch to features which touch the current region

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

url=string [required]
    Base URL starting with ’http’ and ending in ’?’

output=name [required]
    Name for output vector map

name=string[,string,...]
    Comma separated names of data layers to download

srs=string
    Specify alternate spatial reference system (example: EPSG:4326)
    The given code must be supported by the server, consult the capabilities file

maximum_features=integer
    Maximum number of features to download
    (default: unlimited)

start_index=integer
    Skip earlier feature IDs and start downloading at this one
    (default: start with the first feature)

username=string
    Username or file with username or environment variable name with username

password=string
    Password or file with password or environment variable name with password

DESCRIPTION
v.in.wfs imports OGC WFS maps (Web Feature Service) from external servers.

EXAMPLES

  WFS import without credentials
Import of Copernicus Sentinel-2 satellite scene footprints:

# run in Latitude-Longitude location (EPGS code 4326):
# download "sentinel:mgrs" layer:
v.in.wfs url="https://geoserver.mundialis.de/geoserver/sentinel/wfs?" name="sentinel:mgrs" output=sentinel2_mgrs

  WFS import with API key
Download 25 ship wrecks from LINZ data service:
(first create yourself a free API key at http://data.linz.govt.nz/p/web-services/)

# run in LatLong location:
URL=’http://wfs.data.linz.govt.nz/<PUT YOUR API KEY HERE>/wfs?’
# download list of available layers to wms_capabilities.xml
v.in.wfs -l url="$URL"

From that file we learn that the shipwreck layer is called "v:x633" and that EPSG code 4326 (LatLong WGS84) is a supported SRS for this data layer.

v.in.wfs url="$URL" output=linz_hydro_25_wrecks name="v:x633" srs="EPSG:4326" max=25

REQUIREMENTS
The OGR library on the system needs to be compiled with Xerces C++ XML Parser support (for GML).

SEE ALSO
g.region, r.in.wms, v.import, v.in.ogr

AUTHORS
Markus Neteler, Hamish Bowman

SOURCE CODE

Available at: v.in.wfs source code (history)

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2021 GRASS Development Team, GRASS GIS 7.8.6 Reference Manual